.wc-variation-fieldset {
      display: grid;
      grid-template-columns: repeat(5, 1fr);
      gap: 5px; /* spacing between items */
    margin: .5em 0 1em;
    border: none;
    padding: 0;
}

.wc-variation-option {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #ECEFF1;
    color: #000;
    padding: .6em 1em;
    cursor: default;
    pointer-events: none;
    transition: all .2s ease;
    font-size: 14px;
    margin-bottom: 0;
}

.wc-variation-option:hover {
    border-color: #000;
}

.wc-variation-option input[type="radio"] {
    display: none;
}
.wc-variation-option:has(input[type="radio"]:checked) {
    background-color: #000;
    color: #fff;
}


/* Selected state */
.wc-variation-option input[type="radio"]:checked ~ .color-circle {
    background-color: #000;
    color: #fff;
}

/* Grid layout */
.display-grid .wc-variation-option {
    text-align: center;
    justify-content: center;
}

/* Color swatch */
.color-circle {
    display: inline-block;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    border: 1px solid #ccc;
}

.variations th, .variations td {
    display: block;
    width: 100%;
}
 .variations th label {
     color: #000;
     font-weight: 700;
 }
.variations td {
    padding-top: 0;
}
.custom-product-images {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

@media only screen and (max-width: 490px) {
    .wc-variation-fieldset {
              grid-template-columns: repeat(4, 1fr);
    }
}